import jcifs.netbios.NbtAddress;
import jcifs.*;
import jcifs.smb.*;

public class CheckAllDC {

    public static void main( String argv[] ) throws Exception {

        NbtAddress[] addrs = NbtAddress.getAllByName( argv[0], 0x1C, null, null );

        for( int i = 0; i < addrs.length; i++ ) {
            System.out.println( addrs[i] );
            UniAddress dc = new UniAddress( addrs[i] );
            NtlmPasswordAuthentication auth = new NtlmPasswordAuthentication( argv[1] );
            SmbSession.logon( dc, auth );
        }
    }
}
